Support Questions
Find answers, ask questions, and share your expertise

when i run sqoop import i am geting this error

Highlighted

when i run sqoop import i am geting this error

New Contributor

sqoop import --connect jdbc:mysql://localhost/DATAFORSQOOP --username root --password cloudera --query 'select id, version, brand_name from sale where $CONTITIONS and id = 1' -- split-by id --target-dir /user/cloudera/poc2/saler

ERROR

Warning: /usr/lib/sqoop/../accumulo does not exist! Accumulo imports will fail.
Please set $ACCUMULO_HOME to the root of your Accumulo installation.
17/10/28 16:11:03 INFO sqoop.Sqoop: Running Sqoop version: 1.4.6-cdh5.12.0
17/10/28 16:11:03 WARN tool.BaseSqoopTool: Setting your password on the command-line is insecure. Consider using -P instead.
Must specify destination with --target-dir.

1 REPLY 1
Highlighted

Re: when i run sqoop import i am geting this error

Super Guru

Hi @uzma pathan, Can you try below sqoop import command

sqoop import --connect 'jdbc:mysql://localhost:3306/DATAFORSQOOP' --username root --password 'cloudera' --query "select id, version, brand_name from sale where id = 1 and \$CONDITIONS" --split-by id --target-dir /user/cloudera/poc2/sale